Get job details
curl --request GET \
--url https://hireloam.com/api/v1/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://hireloam.com/api/v1/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hireloam.com/api/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"department": "<string>",
"location": "<string>",
"employment_type": "<string>",
"public_slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"stages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"order_index": 123,
"application_count": 123
}
],
"description_md": "<string>",
"show_salary": true,
"salary_currency": "<string>",
"salary_timeframe": "<string>",
"salary_min": 123,
"salary_max": 123
}{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "not_found",
"message": "Application not found"
}
}{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}Jobs
Get job details
Get details about a specific job including stages and application counts.
GET
/
jobs
/
{jobId}
Get job details
Authorizations
API key from Settings > API Keys
Path Parameters
The job ID
Response
Job details
Available options:
published, draft, closed Show child attributes
Show child attributes
Was this page helpful?
⌘I